<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.CustomerMapper">

    <resultMap id="BaseResultMap" type="com.yd.csf.service.model.Customer">
            <id property="id" column="id" />
            <result property="customerBizId" column="customer_biz_id" />
            <result property="customCode" column="custom_code" />
            <result property="lastName" column="last_name" />
            <result property="firstName" column="first_name" />
            <result property="name" column="name" />
            <result property="lastNamePinyin" column="last_name_pinyin" />
            <result property="firstNamePinyin" column="first_name_pinyin" />
            <result property="pinyin" column="pinyin" />
            <result property="title" column="title" />
            <result property="gender" column="gender" />
            <result property="birthdate" column="birthdate" />
            <result property="abnormal" column="abnormal" />
            <result property="age" column="age" />
            <result property="areaCode" column="area_code" />
            <result property="phone" column="phone" />
            <result property="email" column="email" />
            <result property="smoke" column="smoke" />
            <result property="smokeQuantity" column="smoke_quantity" />
            <result property="companyType" column="company_type" />
            <result property="fixedPhone" column="fixed_phone" />
            <result property="source" column="source" />
            <result property="idType" column="id_type" />
            <result property="idCard" column="id_card" />
            <result property="idCardAddress" column="id_card_address" />
            <result property="passport" column="passport" />
            <result property="eepCode" column="eep_code" />
            <result property="marriage" column="marriage" />
            <result property="birthplace" column="birthplace" />
            <result property="education" column="education" />
            <result property="customerExpandBizId" column="customer_expand_biz_id" />
            <result property="country" column="country" />
            <result property="remark" column="remark" />
            <result property="isDeleted" column="is_deleted" />
            <result property="creatorId" column="creator_id" />
            <result property="updaterId" column="updater_id" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,customer_biz_id,custom_code,last_name,first_name,name,
        last_name_pinyin,first_name_pinyin,pinyin,title,gender,
        birthdate,abnormal,age,area_code,
        phone,email,smoke,smoke_quantity,company_type,fixed_phone,
        source,id_type,id_card,id_card_address,passport,eep_code,
        marriage,birthplace,education,customer_expand_biz_id,country,
        remark,is_deleted,creator_id,updater_id,create_time,
        update_time
    </sql>
</mapper>
